#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;
    int m;
    cin>>n>>k;
    int a[20000];
    for(int i=0;i<n;i++){
        cin>>a[i];
        if(k==a[i])m=i;
    }
    int r;
    if(m==n-1)r=a[0];
    else r=a[m+1];
    cout<<r;


    return 0;
}